#!/usr/bin/env python
# -*- coding: UTF-8 -*-
#  
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


##############BIBLIOTECAS A IMPORTAR E DEFINICOES####################

import urllib,urllib2,re,xbmcplugin,xbmcgui,xbmc,xbmcaddon,os, sys
from HTMLParser import HTMLParser
from BeautifulSoup import BeautifulSoup
from tools import *


try:
   import StorageServer
except:
   import storageserverdummy as StorageServer
cache = StorageServer.StorageServer("seriesdanet", 24) 

versao = '0.0.1'
addon_id = 'plugin.video.seriesdanet'
selfAddon = xbmcaddon.Addon(id=addon_id)

fanart = xbmc.translatePath(os.path.join('special://home/addons/' + addon_id , 'fanart.jpg'))
icon = xbmc.translatePath(os.path.join('special://home/addons/' + addon_id, 'icon.PNG'))
artpath = xbmc.translatePath(os.path.join('special://home/addons/' + addon_id + '/resources/art/'))

################################################## 

#MENUS############################################


def CATEGORIES():
	dialog = xbmcgui.Dialog()
	dialog.ok("Fórum", "Amigos, novo endereço do fórum: forum.freetvbrasil.com, em breve muitas novidades.")
	addDir('Series','0',1,artpath+'1.jpg',1)
	addDir('Desenhos','1',1,artpath+'3.jpg',1)
	addDir('Animes','2',1,artpath+'2.jpg',1)
	addDir('Doações','',227,'http://he-repository-brasil.googlecode.com/svn/trunk/donate3.png',0)

def categoriasX(item=0):
	url = 'http://www.seriesdanet.net/'
	soup = BeautifulSoup(abrir_url(url)[0])
	categorias = BeautifulSoup(soup.find("ul", { "id" : "ul_categories" }).prettify())
	items = categorias.findAll('li',{'class':'topcat'})[item]('a')
	print categorias('li')[1]
	
	for item in items:
		if 'Letra' in item.text:
			addDir(html_replace_clean(item.text),item['href'],2,'')
	


###################################################################################
#FUNCOES

class MLStripper(HTMLParser):
    def __init__(self):
        self.reset()
        self.fed = []
    def handle_data(self, d):
        self.fed.append(d)
    def get_data(self):
        return ''.join(self.fed)

def strip_tags(html):
    s = MLStripper()
    s.feed(html)
    return s.get_data()

def listar_videos(url):
	#codigo_fonte = abrir_url(url)[0]
	soup = BeautifulSoup(abrir_url(url)[0])
	#ow = open('C:\\Python27\\tugamovies.html','w')
	#ow.write(codigo_fonte)
	#ow.close()
	lista_filmes = BeautifulSoup(soup.find("ul", { "class" : "pm-ul-browse-videos thumbnails" }).prettify())
	filmes = lista_filmes.findAll("div", { "class" : "pm-li-video" })

	a=[]
	for filme in filmes:
		#print filme('a')[0].img['alt']
		temp = [filme('a')[0]["href"],strip_tags(html_replace_clean(filme('a')[0].img['alt'].encode('ascii', 'xmlcharrefreplace'))),filme('a')[0].img['src']] 
		if not temp in a:
			a.append(temp)
	#	def addDir(name,url,mode,iconimage,total,pasta):
	total = len(a)
	for url2, titulo, img in a:
		titulo = titulo.replace('&#8211;',"-").replace('&#8217;',"'")	
		addDir(titulo,url2,55,img,False,total)
		
#	match=re.compile("<a class='blog-pager-older-link' href='(.+?)'").findall(codigo_fonte)
#        print match
#        if len(match)>0:
#                addDir('Proxima pagina>>',match[0],2,artpath+'nextpage.png')
	#page = re.compile("<link rel='next' href='(.+?)' />").findall(codigo_fonte)
	#for prox_pagina in page:
	#p_page = soup.find('a',{'class':'blog-pager-older-link'})
	#if p_page:
	#	addDir('Página Seguinte >>',p_page['href'],2,artfolder + 'prox.jpg')
	
	xbmcplugin.setContent(int(sys.argv[1]), 'movies')
	xbmc.executebuiltin('Container.SetViewMode(503)')

def clean(text):
    command={'\r':'','\n':'','\t':'','&nbsp;':'','&#231;':'ç','&#201;':'É','&#233;':'é','&#250;':'ú','&#227;':'ã','&#237;':'í','&#243;':'ó','&#193;':'Á','&#205;':'Í','&#244;':'ô','&#224;':'à','&#225;':'á','&#234;':'ê','&#211;':'Ó','&#226;':'â'}
    regex = re.compile("|".join(map(re.escape, command.keys())))
    return regex.sub(lambda mo: command[mo.group(0)], text)

def dict_episodios(url):
	soup = BeautifulSoup(abrir_url(url)[0])
	lista = soup.find('div',{'class':'description text-exp'})

	episodios = re.findall(r'(.*?)<a href="(.*?)" target="_blank"><strong>(.*?)</strong>',clean(str(lista)))
	eps = lista.findAll('a', {'target':'_blank'})

	episodios = []
	for ep in eps:
		url2 = 'http://www.seriesdanet.net'+ep['href']
		html = clean(abrir_url(url2)[0])
		titulo = re.findall(r'<h1 class="entry-title" itemprop="name">(.*?)</h1>',html)[0]
		url3 = re.findall(r"file: '(.*?)',",html)[0]
		iconimage = re.findall(r"image: '(.*?)',",html)[0]
		episodios.append([titulo,url3,iconimage])
	return episodios

def listar_episodios(url):

	episodios = cache.cacheFunction(dict_episodios,url)
	total = len(episodios)
	for titulo, url, iconimage in episodios:
		addLink(titulo,url,iconimage)
	xbmcplugin.setContent(int(sys.argv[1]), 'movies')
	xbmc.executebuiltin('Container.SetViewMode(503)')
	


def resolver_link(url):
	html = clean(abrir_url('http://www.seriesdanet.net'+url))
	url = re.findall(r"file: '(.*?)',",html)[0]
	name = re.findall(r'<h1 class="entry-title" itemprop="name">(.*?)</h1>',html)[0]
	iconimage = re.findall(r"image: '(.*?)',",html)[0]
	addLink(name,url,iconimage)
	
	
def pesquisa():
	keyb = xbmc.Keyboard('', 'faca a procura') #Chama o keyboard do XBMC com a frase indicada
	keyb.doModal() #Espera ate que seja confirmada uma determinada string
	if (keyb.isConfirmed()): #Se a entrada estiver confirmada (isto e, se carregar no OK)
		search = keyb.getText() #Variavel search fica definida com o conteudo do formulario
		parametro_pesquisa=urllib.quote(search) #parametro_pesquisa faz o quote da expressao search, isto Ã©, escapa os parametros necessarios para ser incorporado num endereÃ§o url
		url = 'http://smartflixfilmeshd.blogspot.com.br/search?q=%s&submit=Busca' % str(parametro_pesquisa) #nova definicao de url. str forÃ§a o parametro de pesquisa a ser uma string
		listar_videos(url) #chama a funÃ§Ã£o listar_videos com o url definido em cima

		###################################################################################

def abrir_url(url):
	req = urllib2.Request(url)
	req.add_header('User-Agent', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3')
	response = urllib2.urlopen(req)
	link=response.read()
	response.close()
	links = []
	links.append(link)
	return links

def addLink(name,url,iconimage):
	ok=True
	liz=xbmcgui.ListItem(name, iconImage="DefaultVideo.png", thumbnailImage=iconimage)
	liz.setProperty('fanart_image', fanart)
	liz.setInfo( type="Video", infoLabels={ "Title": name } )
	liz.setProperty("IsPlayable", "true")
	liz.setProperty("Video", "true")
	ok=xbmcplugin.addDirectoryItem(handle=int(sys.argv[1]),url=url,listitem=liz)
	return ok

#def addDir(name,url,mode,iconimage,pasta=True,total=1):
#	u=sys.argv[0]+"?url="+urllib.quote_plus(url)+"&mode="+str(mode)+"&name="+urllib.quote_plus(name)
#	ok=True
#	liz=xbmcgui.ListItem(name, iconImage="DefaultFolder.png", thumbnailImage=iconimage)
#	liz.setProperty('fanart_image', fanart)
#	ok=xbmcplugin.addDirectoryItem(handle=int(sys.argv[1]),url=u,listitem=liz,isFolder=pasta,totalItems=total)
#	return ok

def addDir(name,url,mode,iconimage,total=1,pasta=True):
      u=sys.argv[0]+"?url="+urllib.quote_plus(url)+"&mode="+str(mode)+"&name="+urllib.quote_plus(name)+"&iconimage"+urllib.quote_plus(str(iconimage))
      print u
      liz=xbmcgui.ListItem(name,iconImage="DefaultFolder.png", thumbnailImage=iconimage)
      liz.setInfo( type="Video", infoLabels={ "Title": name} )
      liz.setProperty('fanart_image', "%s/fanart.jpg"%selfAddon.getAddonInfo("path"))
      return xbmcplugin.addDirectoryItem(handle=int(sys.argv[1]),url=u,listitem=liz,isFolder=pasta,totalItems=total)


############################################################################################################
#                                               GET PARAMS                                                 #
############################################################################################################
              
def get_params():
        param=[]
        paramstring=sys.argv[2]
        if len(paramstring)>=2:
                params=sys.argv[2]
                cleanedparams=params.replace('?','')
                if (params[len(params)-1]=='/'):
                        params=params[0:len(params)-2]
                pairsofparams=cleanedparams.split('&')
                param={}
                for i in range(len(pairsofparams)):
                        splitparams={}
                        splitparams=pairsofparams[i].split('=')
                        if (len(splitparams))==2:
                                param[splitparams[0]]=splitparams[1]
                                
        return param

      
params=get_params()
url=None
name=None
mode=None
iconimage=None


try:
        url=urllib.unquote_plus(params["url"])
except:
        pass
try:
        name=urllib.unquote_plus(params["name"])
except:
        pass
try:
        mode=int(params["mode"])
except:
        pass

try:        
        iconimage=urllib.unquote_plus(params["iconimage"])
except:
        pass


print "Mode: "+str(mode)
print "URL: "+str(url)
print "Name: "+str(name)
print "Iconimage: "+str(iconimage)




###############################################################################################################
#                                                   MODOS                                                     #
###############################################################################################################


if mode==None or url==None or len(url)<1:
        print ""
        CATEGORIES()

elif mode==1:
	print ""
	#categorias()
	categoriasX(int(url))
	
elif mode==2:
	print ""
	listar_videos(url)
	
elif mode==3:
	print ""
	pesquisa()

elif mode==66:
	print ""
	print iconimage
	resolver_link(url)
	
elif mode==5:
	print ""
	listar_videos_M18(url)
elif mode==55:
	listar_episodios(url)
elif mode==227:
	pass
	
xbmcplugin.endOfDirectory(int(sys.argv[1]))